package com.hfkj.service.agent;

import com.hfkj.entity.BsAgentApiAccount;

/**
 * @className: BsAgentApiAccountService
 * @author: HuRui
 * @date: 2024/8/28
 **/
public interface BsAgentApiAccountService {

    /**
     * 创建账户
     * @param agentId
     */
    void create(Long agentId);

    /**
     * 修改账户
     * @param data
     */
    void update(BsAgentApiAccount data);

    /**
     * 查询账户
     * @param agentId
     * @return
     */
    BsAgentApiAccount getAccount(Long agentId);

}
